pymvpa2 (2.6.5-1~nd+1) sid; urgency=medium

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 26 Jun 2018 19:39:54 -0400

pymvpa2 (2.6.5-1) unstable; urgency=medium

  * Fresh minor upstream release
  * debian/patches
    - two patches to make docs buildable (Closes: #896628)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Jun 2018 22:03:05 -0400

pymvpa2 (2.6.4-2) unstable; urgency=medium

  * patches to fortify scatter code and tests against degenerate cases which
    reveal themselves on exotic platforms (Now should really Closes: #880793).
    ref: https://github.com/numpy/numpy/issues/10496

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 31 Jan 2018 11:09:23 -0500

pymvpa2 (2.6.4-1) unstable; urgency=medium

  * Fresh upstream bugfix release
  * Manually create simple smlrc.so and svmc.so symlinks to multiarch .so.
    Apparently numpy.ctypeslib.load_library is not creating a valid multiarch
    suffix to match the one created by dh_python2
  * debian/rules
    - run tests under fixed MVPA_SEED=1 to avoid surprises, so should
      resolve spurious FTBFS (tried to close #880793)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 29 Jan 2018 15:15:50 -0500

pymvpa2 (2.6.3-1) unstable; urgency=medium

  * Fresh bugfix release -- primarily just tests

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Nov 2017 00:47:56 -0400

pymvpa2 (2.6.2-1) unstable; urgency=medium

  * Fresh upstream bugfix release
    - dropping all debian/patches/00* picked up from upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 01 Nov 2017 00:06:43 -0400

pymvpa2 (2.6.1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/patches/00* 
    - addressing for changes in sphinx
    - addressing for more strict numpy 1.13.1
  * debian/control
    - boosted policy to 4.0.0
    - boosted compat/debhelper to 9
    - added dh-python to build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 17 Oct 2017 22:53:34 -0400

pymvpa2 (2.6.1-1) experimental; urgency=medium

  * Fresh upstream (primarily minor bugfix) release
    - python-mock into build-depends
  * debian/rules
    - invoke tests via  python -m nose  since otherwise lead to some
      weird infinite recursions etc

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Apr 2017 11:24:40 -0400

pymvpa2 (2.6.0-1) unstable; urgency=medium

  * Fresh upstream release
    - variety of bugfixes, e.g. compatibility with scipy 0.17.1, nibabel 2.1
  * debian/control
    - policy boost to 3.9.8

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 26 Aug 2016 20:21:05 -0400

pymvpa2 (2.5.0-2) unstable; urgency=medium

  * debian/control
    - swap order of swig2.0 and swig in build-depends to please buildds
      (Closes: #830394)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 08 Jul 2016 09:33:17 -0400

pymvpa2 (2.5.0-1) unstable; urgency=medium

  * Fresh upstream feature release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 May 2016 16:55:18 -0400

pymvpa2 (2.4.3-1) unstable; urgency=medium

  * debian/control
    - recommends python-duecredit
    - do not require (absent atm) optional statsmodels on s390x

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 14 Mar 2016 20:59:58 -0400

pymvpa2 (2.4.2-1) unstable; urgency=medium

  * Fresh upstream release
    - compatible with swig 3 (Closes: #817000)
  * debian/control
    - boosted policy to 3.9.7
    - relaxed build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Mar 2016 20:35:31 -0500

pymvpa2 (2.4.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/{control,rules}
    - Use swig2.0 (or swig3.0 < 3.0.5).
      See https://github.com/swig/swig/issues/563

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 18 Nov 2015 13:24:34 -0500

pymvpa2 (2.4.0.1-1) unstable; urgency=medium

  * Upstream snapshot release
    - addresses compatibility issue with recent scipy
  * debian/patches/0001-BF-allow-to-compare-SmartVersion-None.patch
    - CPed from PR to resolve failing test whenever IPython is N/A

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Oct 2015 11:46:49 -0500

pymvpa2 (2.4.0-1) unstable; urgency=medium

  * New upstream yet to be released release
    - drop support of Python 2.6
  * debian/control
    - boosted policy to 3.9.6
    - added statsmodels to build-depends and recommends, joblib to recommends
    - recommend python-shogun instead of dated shogun-python-modular

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 10 May 2015 22:06:33 +0100

pymvpa2 (2.3.1-2) unstable; urgency=medium

  * debian/patches
    - changeset_f12e1c41b7cf6b59b686c8f78d55ffba1eced8e1.diff
      + debian/rules changes to cache intersphinx mappings under
      debian/intersphinx (Closes: #765300).  Thanks Sandro Tosi
      for the report and pointers to the resolution
    - changeset_5f62f33a7d84dca01c2aae69a4d4c0a00469ae7b.diff
      to fix up url to the h5py intersphinx
  * debian/upstream -> debian/upstream/metadata
  * debian/patches
    - deb_no_twitter_privacy_breach -- just refer to twitter instead

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 28 Oct 2014 11:56:59 -0400

pymvpa2 (2.3.1-1) unstable; urgency=medium

  * Fresh upstream release (should be tollerant now to scipy API change in
    1.4.0)
  * debian/watch
    - adjusted to monitor/fetch from github tags
  * debian/patches
    - all removed
  * debian/{control,rules}
    - use dh_python2 instead of deprecated pysupport
    - add matplotlib to build-depends and set its backend to Agg during
      testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 20 May 2014 08:43:24 -0400

pymvpa2 (2.3.0-3) unstable; urgency=low

  * debian/control
    - man2html to build-depends
  * debian/patches
    - 2.3.0-37-g269c43c.diff to resolve FTBFS on trusty

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 01 May 2014 14:23:56 -0400

pymvpa2 (2.3.0-1) unstable; urgency=low

  * Perspective fresh upstream release
    - contains all patches from under debian/patches/ so those are dropped
  * debian/control
    - recommend python-nipy
  * debian/rules
    - do not compress .sh scripts (cmdline examples)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 05 Mar 2014 23:00:31 +0100

pymvpa2 (2.2.0-4) unstable; urgency=low

  * debian/control:
    - specify git branch for debian packaging of pymvpa2. Thanks Julien
      Cristau for the report
    - build-depends on python-numpydoc
    - recommend python-pprocess (removed from the Debian archive since we
      missed a dependency on it and otherwise was unused, but is present
      from NeuroDebian )
    - policy boosted to 3.9.5 (no changes)
  * debian/rules:
    - mkdir target -lib directories before moving .so files.  It should resolve
      FTBFS with debhelper 9.20130507 and robustify build
    - quote paths with globs to avoid their expansion in find command.
      Thanks Julien Cristau for the hint

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Dec 2013 08:55:02 -0500

pymvpa2 (2.2.0-3) unstable; urgency=low

  * debian/patches
    - changeset_bab55a4a390c9c4b337ead5877868f7f7debc208.diff
      Tollerate "Probabalistic" (mention the typo) and "fixed"
      FSL atlases

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 06 May 2013 15:02:58 -0400

pymvpa2 (2.2.0-2) unstable; urgency=low

  * debian/patches
    - changeset_79bc8ecad13fe43447f8a262ed03147cbe7da326.diff
      changeset_cdba16f73f5aa74cf3002f027a1d38e408b0361b.diff
      Address numpy 1.7.1 compatibility in unittests

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 30 Apr 2013 11:35:24 -0400

pymvpa2 (2.2.0-1) unstable; urgency=low

  * Fresh upstream release:
    - provides tutorial (in -doc package) as ipython notebooks.
      Added ipython-notebook into Suggests
    - all cmdline tools have disambiguating prefix thus are
      installed now without conflict with pymvpa (0.4.x) package.
  * Dropping support of python 2.5 (failing tests) -- added X-Python-Version

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 16 Sep 2012 06:23:51 -0400

pymvpa2 (2.1.0-1) unstable; urgency=low

  * Fresh upstream release
  * debian/control
    - unwrapped Depends/Recommends and sorted
    - moved python-lxml and python-sklearn into Recommends
    - added liblapack-dev into Recommends -- provides liblapack.so
      optionally used by Hyperalignment
  * debian/upstream -- added with a canonical reference

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Jun 2012 13:28:19 -0400

pymvpa2 (2.0.1-1) unstable; urgency=low

  * Fresh upstream release
    - all debian/patches were upstreamed
  * debian/control
    - policy boosted to 3.9.3 (no changes)
  * debian/copyright
    - updated for DEP5 v1.0
  * debian/rules
    - added a call to dh_numpy where available for proper NumPy dependencies

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 Mar 2012 09:47:23 -0400

pymvpa2 (2.0.0-6) unstable; urgency=low

  * Fixed FTBFS due to sphinx API changes braking old copy of autosummary.
    System-wide autosummary should be used now for sphinx >= 1.1.2
    (Closes: #658593). Thanks to Jakub Wilk and Julian Taylor for help
    Patch: up_sphinx_1.1.2_autosummary

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Feb 2012 11:16:39 -0500

pymvpa2 (2.0.0-5) unstable; urgency=low

  * Fixed FTBFS due to test failure in test_niftidataset on big-endians.
    Patch: 0001-BF-assure-native-endianness-in-test_assumptions_on_n.patch
  * Fixed oblivious typo of removing system-installed underscore.js
    leading to stall and thus FTBFS on Debian build hosts
  * Run unittests with verbose output for easy troubleshooting of FTBFSs

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 Dec 2011 16:26:12 -0500

pymvpa2 (2.0.0-4) unstable; urgency=low

  * debian/rules: export HOME=$(CURDIR)/build to assure rw $HOME for every
    aspect of package building (finally Closes:#652903)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Dec 2011 23:03:26 -0500

pymvpa2 (2.0.0-3) unstable; urgency=low

  * Add up_robust_doc_building to the patch queue series
    (really Closes: #652903)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Dec 2011 10:38:37 -0500

pymvpa2 (2.0.0-2) unstable; urgency=low

  * up_robust_doc_building patch to point HOME to build/ directory
    (Closes: #652903)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Dec 2011 18:34:32 -0500

pymvpa2 (2.0.0-1) unstable; urgency=low

  * Long-awaited upstream release of mvpa2
  * Removed conflict with python-mvpa-lib -- both python-mvpa and python-mvpa2
    must be co-installable now
  * Reincrarnated -doc package providing HTML documentation

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 15 Dec 2011 18:32:02 -0500

pymvpa2 (2.0.0~rc5-1) unstable; urgency=low

  * mvpa module was renamed into mvpa2 to allow co-installability with
    stable mvpa 0.4.x (hence source package name change)
  * Command line tools (atlaslabeler, mvpa-prep-fmri) are not provided
    for this release
  * Bump Standards-Version to 3.9.2 -- no changes necessary

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 19 Oct 2011 14:18:14 -0400

pymvpa-snapshot (0.6.0~rc4-1) neurodebian; urgency=low

  * PyMVPA development snapshot.
  * Pruned unneeded now XS-DM-Upload-Allowed.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 14 Jun 2011 21:03:07 -0400

pymvpa-snapshot (0.6.0~rc3-1) neurodebian; urgency=low

  * PyMVPA development snapshot.
  * Includes upstream changelog now.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Apr 2011 12:08:15 -0400

pymvpa-snapshot (0.6.0~rc2-1) neurodebian; urgency=low

  * PyMVPA development snapshot.

 -- Michael Hanke <mih@debian.org>  Thu, 03 Mar 2011 16:06:46 -0500

pymvpa (0.4.3-2) unstable; urgency=low

  [ Sandro Tosi ]
  * Drop Python 2.4; thanks to Luca Falavigna for the
    report and to Jakub Wilk for the patch (Closes: #562482)
    - debian/control
      + bump b-d on python-all-dev to '>= 2.5'
      + drop python-ctypes
      + drop explicit Depends on python: we use ${python:Depends}
    - debian/pyversions
      + bump it to '+2.5-'

  [ Yaroslav Halchenko ]
  * debian/control
    - Thanks Sandro Tosi for NMU attempt to fix #560606.
    - Build-Conflict on python-epydoc=3.0.1-4: this version works
    incorrectly with python-docutils 0.6 (thanks to Lucas Nussbaum for the
    report).  Also Build-Depends on python-docutils (<< 0.6) |
    python-docutils (>= 0.6-3~) which would assure that we still can build
    on lenny or with fresh docutils which pull in fresh epydoc (thanks to
    Jakub Wilk for suggestion).  Those 2 steps fix the FTBFS (Closes:
    #560606)
    - Added python-mvpa-doc to suggests.
  * Cherry pick 2 commits from maint/0.4 branch to be compatible with recent
    versions of shogun-python-modular present in sid/squeeze.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Jan 2010 17:55:55 -0500

pymvpa (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3 -- no changes necessary.
  * Maintainer field points to ExpPsy Maintainers now.
  * Recommend python-reportlab.
  * Added python-nose, python-nifti, python-lxml to Build-depends.

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 04 Sep 2009 16:18:54 -0400

pymvpa (0.4.2-1) unstable; urgency=low

  [ Michael Hanke ]
  * New upstream release.
  * Removing the circular dependency between python-mvpa and python-mvpa-lib
    (Closes: #519129).
  * Improve long description of python-mvpa-lib and turn it into complete
    sentences, as recommended by the developers reference 6.2.3
    (Closes: #521332).
  * Bump Standards-Version to 3.8.1 -- no changes necessary.
  * Added dependency on python to the python-mvpa package to satisfy lintian.
  * Added rsync as build-dependency, which is required for building the docs.
  * The package now honors 'nodoc' in DEB_BUILD_OPTIONS. This is intended to
    help backporting to releases with insufficient python-sphinx versions.
  * Added 'graphviz' as a build-dependency (necessary for Sphinx' inheritance
    graphs).

  [ Yaroslav Halchenko ]
  * Compatible with cdbs >= 0.4.54 (use of DEB_PYTHON_MODULE_PACKAGES) and
    recent pysupport (>=0.9).
  * Run unittests for each supported python version during build.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 25 May 2009 11:21:39 +0200

pymvpa (0.4.1-1) unstable; urgency=low

  [ Michael Hanke ]
  * New upstream release.
  * Added missing ${misc:Depends} to debian/control.
  * The package now honors 'nocheck' in DEB_BUILD_OPTIONS.
  * Speed-up of package build process by preventing the docs from being built
    twice.
  * Added 'DM-Upload-Allowed: yes' to enable DM upload.
  * Install new manpages and add build-dep. to help2man.
  * Updated debian/copyright.
  * Imported various bugfixes from the upstream VCS that were pushed into the
    0.4 maintenance branch since the release of 0.4.1.

  [ Yaroslav Halchenko ]
  * Adjusted long descriptions.
  * Split libraries (low-level SMLR implementation and LIBSVM custom
    Python bindings) into a separate python-mvpa-lib package. That allows
    python-mvpa package to become architecture independent.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 21 Feb 2009 14:07:55 +0100

pymvpa (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Running a subset of the unittests during package build (only tests not
    requiring a huge amount of cpu-time or memory.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 19 Nov 2008 03:30:53 +0100

pymvpa (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Added dependency to ctypes for python 2.4.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 14 Sep 2008 13:53:31 +0200

pymvpa (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Added python-pywt as recommended package.
  * Using jquery.js from corresponding Debian package.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 17 Aug 2008 20:56:26 +0200

pymvpa (0.2.2-1) unstable; urgency=low

  * New upstream maintenance release (missed 0.2.1). This release contains
    a minimal copy of LIBSVM. The Debian package does not build it, but makes
    use of the corresponding Debian package.
  * Shrink Debian diff and move the enabling of LIBSVM into debian/rules.
  * Convert debian/copyright into machine readable format.
  * Bump Standards-Version to 3.8.0 -- no changes necessary.
  * Adjusted list of recommended and suggested packages to the new
    capabilities of PyMVPA, i.e. add SciPy, MDP, Shogun and Matplotlib.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 03 Jul 2008 10:04:40 +0200

pymvpa (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Added build-dependency to python-ctypes for a new classifier extension.
  * Added watch file.
  * Move from python-docutils to python-sphinx for building the package docs.
  * Disable libsvm setting check and add setup.cfg to permanently enable
    building the libsvm wrapper for Debian.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 29 May 2008 08:13:14 +0200

pymvpa (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #466556).

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 19 Feb 2008 16:10:05 +0100
